<!DOCTYPE html>
<html class="writer-html5" lang="en" data-content_root="./">
<head>
  <meta charset="utf-8" /><meta name="viewport" content="width=device-width, initial-scale=1" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>How to use &mdash; bstrain  documentation</title>
      <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=80d5e7a1" />
      <link rel="stylesheet" type="text/css" href="_static/css/theme.css?v=19f00094" />
      <link rel="stylesheet" type="text/css" href="_static/mystnb.4510f1fc1dee50b3e5859aac5469c37c29e427902b24a333a5f9fcb2f0b3ac41.css?v=be8a1c11" />
      <link rel="stylesheet" type="text/css" href="_static/copybutton.css?v=76b2166b" />

  
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script src="_static/jquery.js?v=5d32c60e"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
        <script src="_static/documentation_options.js?v=5929fcd5"></script>
        <script src="_static/doctools.js?v=9a2dae69"></script>
        <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
        <script src="_static/clipboard.min.js?v=a7894cd8"></script>
        <script src="_static/copybutton.js?v=f281be69"></script>
        <script async="async" src="https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="author" title="About these documents" href="about.html" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Bstrain step by step" href="stepby.html" />
    <link rel="prev" title="Install Bstrain" href="install.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="index.html" class="icon icon-home">
            bstrain
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Bstrain code</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="about.html">About Bstrain</a></li>
<li class="toctree-l1"><a class="reference internal" href="install.html">Install Bstrain</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">How to use</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#input-files">Input files</a></li>
<li class="toctree-l2"><a class="reference internal" href="#code-behavior">Code behavior</a></li>
<li class="toctree-l2"><a class="reference internal" href="#output-files">Output files</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="stepby.html">Bstrain step by step</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Bstrain Plotter</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="plotter.html">Quick guide to Bstrain plotter</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">bstrain</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home" aria-label="Home"></a></li>
      <li class="breadcrumb-item active">How to use</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/howto.md.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="how-to-use">
<h1>How to use<a class="headerlink" href="#how-to-use" title="Link to this heading"></a></h1>
<section id="input-files">
<h2>Input files<a class="headerlink" href="#input-files" title="Link to this heading"></a></h2>
<p>The standard input data file must contain longitude, latitude, XX, YY, ve, erre, vn, errn</p>
<p>Where XX and YY are not used in this version of the code, could be 7 8000 for instance</p>
<p>The path to the data file is hard coded in Regression2D.f90.
The number of stations used must be modified in parameters.in (npointm) together with the size of the box for triangulation (longmin,longmax,latmin,latmax) and for the data used (longminda, longmaxda, latminda, latmaxda)</p>
<p>Note that longitude and latitude should be expressed in a projected system and given in <strong>kilometers</strong>, for instance the appropriate UTM projection for the zone. Velocities should be in <strong>mm/yr</strong> and displacements in <strong>mm</strong> to get proper adimensional strain rates or strain values.</p>
</section>
<section id="code-behavior">
<h2>Code behavior<a class="headerlink" href="#code-behavior" title="Link to this heading"></a></h2>
<p>In its original version, the code allows for inverting a noise parameter called sigma that scales uniformly the uncertainties on the observations.</p>
<p>Bounds for this factor can be set in parameters.in. We recommand using a maximum value for sigma of 1.1 if you trust your data and uncertainties.</p>
<p>Recursive prior option is not fully operationnal. Do not uncomment.</p>
<p>The size of each prior can (and must) be adjusted in parameters.in to be as close as possible as the expected pattern.</p>
<p>Example : adjust the mean1 and theta1 parameters to describe the prior on the northern component of the velocity by taking</p>
<div class="math notranslate nohighlight">
\[ \begin{align}\begin{aligned}mean1 = \frac{V_{max}+V_{min}}{2}\\theta1 = \frac{(V_{max}-V_{min})\times 1.2}{2}\end{aligned}\end{align} \]</div>
<p>if you want to allow 20% deviation from the observed bounds.</p>
</section>
<section id="output-files">
<h2>Output files<a class="headerlink" href="#output-files" title="Link to this heading"></a></h2>
<p>All output are written as .out files</p>
<ul class="simple">
<li><p>Nb_cells.out : Number of cells in function of iterations. Useful for checking the convergence of the algorithm</p></li>
<li><p>Evidence.out : Posterior distribution on the number of cells</p></li>
<li><p>ML_sigma.out : Posterior distribution on data noise</p></li>
<li><p>conv_sigma.out : Evolution of data noise with iteration</p></li>
<li><p>Average.out : Average solution map (X, Y, average Vx, average Vy, average divergence, average vorticity, average 2nd inv). Carefull, average may be misleading.</p></li>
<li><p>Standard_deviation.out : Map of model uncertainty</p></li>
<li><p>Median.out : Median map</p></li>
<li><p>Maximum.out : Maximum map</p></li>
<li><p>PosteriorXXX.out : Cube of the posterior distribution for the XXX parameter. Store as i lines with X, Y, value for each pixel, i beign the number of bins chosen to describe the PDF (nvd parameter in parameters.in)</p></li>
<li><p>mpi.out : statistics of the chains written when running the code in parallel</p></li>
<li><p>out.out : Error messages</p></li>
<li><p>param.out : list of parameters from parameters.in for plotting python scripts</p></li>
</ul>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>Statistics of the chains are written interactively in OUT/mpi.out when running the code in parallel. If code is run directly from <code class="docutils literal notranslate"><span class="pre">./run</span></code>, you may generate a fake mpi.out file for using plot utilities. This fake file should contain the last part of the print screen messages.</p>
</div>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="install.html" class="btn btn-neutral float-left" title="Install Bstrain" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="stepby.html" class="btn btn-neutral float-right" title="Bstrain step by step" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2024, mmetois.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>